Index: uspace/lib/label/src/dummy.c
===================================================================
--- uspace/lib/label/src/dummy.c	(revision b33d140f53df46bff63409f9e614b46f85b8db6f)
+++ uspace/lib/label/src/dummy.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -40,15 +40,15 @@
 #include "dummy.h"
 
-static int dummy_open(label_bd_t *, label_t **);
-static int dummy_create(label_bd_t *, label_t **);
+static errno_t dummy_open(label_bd_t *, label_t **);
+static errno_t dummy_create(label_bd_t *, label_t **);
 static void dummy_close(label_t *);
-static int dummy_destroy(label_t *);
-static int dummy_get_info(label_t *, label_info_t *);
+static errno_t dummy_destroy(label_t *);
+static errno_t dummy_get_info(label_t *, label_info_t *);
 static label_part_t *dummy_part_first(label_t *);
 static label_part_t *dummy_part_next(label_part_t *);
 static void dummy_part_get_info(label_part_t *, label_part_info_t *);
-static int dummy_part_create(label_t *, label_part_spec_t *, label_part_t **);
-static int dummy_part_destroy(label_part_t *);
-static int dummy_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
+static errno_t dummy_part_create(label_t *, label_part_spec_t *, label_part_t **);
+static errno_t dummy_part_destroy(label_part_t *);
+static errno_t dummy_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
 
 label_ops_t dummy_label_ops = {
@@ -66,5 +66,5 @@
 };
 
-static int dummy_open(label_bd_t *bd, label_t **rlabel)
+static errno_t dummy_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -73,5 +73,5 @@
 	aoff64_t nblocks;
 	uint64_t ba_min, ba_max;
-	int rc;
+	errno_t rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -128,5 +128,5 @@
 }
 
-static int dummy_create(label_bd_t *bd, label_t **rlabel)
+static errno_t dummy_create(label_bd_t *bd, label_t **rlabel)
 {
 	return ENOTSUP;
@@ -148,10 +148,10 @@
 }
 
-static int dummy_destroy(label_t *label)
-{
-	return ENOTSUP;
-}
-
-static int dummy_get_info(label_t *label, label_info_t *linfo)
+static errno_t dummy_destroy(label_t *label)
+{
+	return ENOTSUP;
+}
+
+static errno_t dummy_get_info(label_t *label, label_info_t *linfo)
 {
 	memset(linfo, 0, sizeof(label_info_t));
@@ -193,5 +193,5 @@
 }
 
-static int dummy_part_create(label_t *label, label_part_spec_t *pspec,
+static errno_t dummy_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
@@ -199,10 +199,10 @@
 }
 
-static int dummy_part_destroy(label_part_t *part)
-{
-	return ENOTSUP;
-}
-
-static int dummy_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+static errno_t dummy_part_destroy(label_part_t *part)
+{
+	return ENOTSUP;
+}
+
+static errno_t dummy_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
Index: uspace/lib/label/src/empty.c
===================================================================
--- uspace/lib/label/src/empty.c	(revision b33d140f53df46bff63409f9e614b46f85b8db6f)
+++ uspace/lib/label/src/empty.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -97,7 +97,7 @@
 }
 
-int label_bd_is_empty(label_bd_t *bd, bool *rempty)
-{
-	int rc;
+errno_t label_bd_is_empty(label_bd_t *bd, bool *rempty)
+{
+	errno_t rc;
 	void *buf = NULL;
 	aoff64_t nblocks;
@@ -174,7 +174,7 @@
 }
 
-int label_bd_empty(label_bd_t *bd)
-{
-	int rc;
+errno_t label_bd_empty(label_bd_t *bd)
+{
+	errno_t rc;
 	void *buf = NULL;
 	aoff64_t nblocks;
@@ -236,7 +236,7 @@
 }
 
-int label_part_empty(label_part_t *part)
-{
-	int rc;
+errno_t label_part_empty(label_part_t *part)
+{
+	errno_t rc;
 	void *buf = NULL;
 	aoff64_t block0;
Index: uspace/lib/label/src/gpt.c
===================================================================
--- uspace/lib/label/src/gpt.c	(revision b33d140f53df46bff63409f9e614b46f85b8db6f)
+++ uspace/lib/label/src/gpt.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -46,30 +46,30 @@
 #include "gpt.h"
 
-static int gpt_open(label_bd_t *, label_t **);
-static int gpt_create(label_bd_t *, label_t **);
+static errno_t gpt_open(label_bd_t *, label_t **);
+static errno_t gpt_create(label_bd_t *, label_t **);
 static void gpt_close(label_t *);
-static int gpt_destroy(label_t *);
-static int gpt_get_info(label_t *, label_info_t *);
+static errno_t gpt_destroy(label_t *);
+static errno_t gpt_get_info(label_t *, label_info_t *);
 static label_part_t *gpt_part_first(label_t *);
 static label_part_t *gpt_part_next(label_part_t *);
 static void gpt_part_get_info(label_part_t *, label_part_info_t *);
-static int gpt_part_create(label_t *, label_part_spec_t *, label_part_t **);
-static int gpt_part_destroy(label_part_t *);
-static int gpt_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
-
-static int gpt_check_free_idx(label_t *, int);
-static int gpt_check_free_range(label_t *, uint64_t, uint64_t);
+static errno_t gpt_part_create(label_t *, label_part_spec_t *, label_part_t **);
+static errno_t gpt_part_destroy(label_part_t *);
+static errno_t gpt_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
+
+static errno_t gpt_check_free_idx(label_t *, int);
+static errno_t gpt_check_free_range(label_t *, uint64_t, uint64_t);
 
 static void gpt_unused_pte(gpt_entry_t *);
-static int gpt_part_to_pte(label_part_t *, gpt_entry_t *);
-static int gpt_pte_to_part(label_t *, gpt_entry_t *, int);
-static int gpt_pte_update(label_t *, gpt_entry_t *, int);
-
-static int gpt_update_pt_crc(label_t *, uint32_t);
+static errno_t gpt_part_to_pte(label_part_t *, gpt_entry_t *);
+static errno_t gpt_pte_to_part(label_t *, gpt_entry_t *, int);
+static errno_t gpt_pte_update(label_t *, gpt_entry_t *, int);
+
+static errno_t gpt_update_pt_crc(label_t *, uint32_t);
 static void gpt_hdr_compute_crc(gpt_header_t *, size_t);
-static int gpt_hdr_get_crc(gpt_header_t *, size_t, uint32_t *);
-
-static int gpt_pmbr_create(label_bd_t *, size_t, uint64_t);
-static int gpt_pmbr_destroy(label_bd_t *, size_t);
+static errno_t gpt_hdr_get_crc(gpt_header_t *, size_t, uint32_t *);
+
+static errno_t gpt_pmbr_create(label_bd_t *, size_t, uint64_t);
+static errno_t gpt_pmbr_destroy(label_bd_t *, size_t);
 
 const uint8_t efi_signature[8] = {
@@ -92,5 +92,5 @@
 };
 
-static int gpt_open(label_bd_t *bd, label_t **rlabel)
+static errno_t gpt_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -111,5 +111,5 @@
 	uint32_t hdr_crc;
 	int i, j;
-	int rc;
+	errno_t rc;
 
 	gpt_hdr[0] = NULL;
@@ -345,5 +345,5 @@
 }
 
-static int gpt_create(label_bd_t *bd, label_t **rlabel)
+static errno_t gpt_create(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -362,5 +362,5 @@
 	uuid_t disk_uuid;
 	int i, j;
-	int rc;
+	errno_t rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -510,5 +510,5 @@
 }
 
-static int gpt_destroy(label_t *label)
+static errno_t gpt_destroy(label_t *label)
 {
 	gpt_header_t *gpt_hdr = NULL;
@@ -516,5 +516,5 @@
 	label_part_t *part;
 	int i;
-	int rc;
+	errno_t rc;
 
 	part = gpt_part_first(label);
@@ -580,5 +580,5 @@
 }
 
-static int gpt_get_info(label_t *label, label_info_t *linfo)
+static errno_t gpt_get_info(label_t *label, label_info_t *linfo)
 {
 	memset(linfo, 0, sizeof(label_info_t));
@@ -624,10 +624,10 @@
 }
 
-static int gpt_part_create(label_t *label, label_part_spec_t *pspec,
+static errno_t gpt_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
 	label_part_t *part;
 	gpt_entry_t pte;
-	int rc;
+	errno_t rc;
 
 	part = calloc(1, sizeof(label_part_t));
@@ -696,8 +696,8 @@
 }
 
-static int gpt_part_destroy(label_part_t *part)
+static errno_t gpt_part_destroy(label_part_t *part)
 {
 	gpt_entry_t pte;
-	int rc;
+	errno_t rc;
 
 	/* Prepare unused partition table entry */
@@ -715,9 +715,9 @@
 }
 
-static int gpt_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+static errno_t gpt_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
 	const char *ptid;
-	int rc;
+	errno_t rc;
 
 	ptid = NULL;
@@ -748,5 +748,5 @@
 
 /** Verify that the specified index is valid and free. */
-static int gpt_check_free_idx(label_t *label, int index)
+static errno_t gpt_check_free_idx(label_t *label, int index)
 {
 	label_part_t *part;
@@ -771,5 +771,5 @@
 }
 
-static int gpt_check_free_range(label_t *label, uint64_t block0,
+static errno_t gpt_check_free_range(label_t *label, uint64_t block0,
     uint64_t nblocks)
 {
@@ -796,5 +796,5 @@
 }
 
-static int gpt_part_to_pte(label_part_t *part, gpt_entry_t *pte)
+static errno_t gpt_part_to_pte(label_part_t *part, gpt_entry_t *pte)
 {
 	uint64_t eblock;
@@ -814,5 +814,5 @@
 }
 
-static int gpt_pte_to_part(label_t *label, gpt_entry_t *pte, int index)
+static errno_t gpt_pte_to_part(label_t *label, gpt_entry_t *pte, int index)
 {
 	label_part_t *part;
@@ -856,5 +856,5 @@
  * @a pte.
  */
-static int gpt_pte_update(label_t *label, gpt_entry_t *pte, int index)
+static errno_t gpt_pte_update(label_t *label, gpt_entry_t *pte, int index)
 {
 	size_t pos;
@@ -866,5 +866,5 @@
 	uint32_t crc;
 	int i;
-	int rc;
+	errno_t rc;
 
 	/* Byte offset of partition entry */
@@ -921,8 +921,8 @@
 }
 
-static int gpt_update_pt_crc(label_t *label, uint32_t crc)
+static errno_t gpt_update_pt_crc(label_t *label, uint32_t crc)
 {
 	gpt_header_t *gpt_hdr;
-	int rc;
+	errno_t rc;
 	int i;
 
@@ -968,5 +968,5 @@
 }
 
-static int gpt_hdr_get_crc(gpt_header_t *hdr, size_t hdr_size, uint32_t *crc)
+static errno_t gpt_hdr_get_crc(gpt_header_t *hdr, size_t hdr_size, uint32_t *crc)
 {
 	gpt_header_t *c;
@@ -985,9 +985,9 @@
 
 /** Create GPT Protective MBR */
-static int gpt_pmbr_create(label_bd_t *bd, size_t bsize, uint64_t nblocks)
+static errno_t gpt_pmbr_create(label_bd_t *bd, size_t bsize, uint64_t nblocks)
 {
 	mbr_br_block_t *pmbr = NULL;
 	uint64_t pmbr_nb;
-	int rc;
+	errno_t rc;
 
 	pmbr = calloc(1, bsize);
@@ -1023,8 +1023,8 @@
 
 /** Destroy GPT Protective MBR */
-static int gpt_pmbr_destroy(label_bd_t *bd, size_t bsize)
+static errno_t gpt_pmbr_destroy(label_bd_t *bd, size_t bsize)
 {
 	mbr_br_block_t *pmbr = NULL;
-	int rc;
+	errno_t rc;
 
 	pmbr = calloc(1, bsize);
Index: uspace/lib/label/src/label.c
===================================================================
--- uspace/lib/label/src/label.c	(revision b33d140f53df46bff63409f9e614b46f85b8db6f)
+++ uspace/lib/label/src/label.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -51,8 +51,8 @@
 };
 
-int label_open(label_bd_t *bd, label_t **rlabel)
+errno_t label_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_ops_t **ops;
-	int rc;
+	errno_t rc;
 
 	ops = &probe_list[0];
@@ -67,5 +67,5 @@
 }
 
-int label_create(label_bd_t *bd, label_type_t ltype, label_t **rlabel)
+errno_t label_create(label_bd_t *bd, label_type_t ltype, label_t **rlabel)
 {
 	label_ops_t *ops = NULL;
@@ -96,10 +96,10 @@
 }
 
-int label_destroy(label_t *label)
+errno_t label_destroy(label_t *label)
 {
 	return label->ops->destroy(label);
 }
 
-int label_get_info(label_t *label, label_info_t *linfo)
+errno_t label_get_info(label_t *label, label_info_t *linfo)
 {
 	return label->ops->get_info(label, linfo);
@@ -121,5 +121,5 @@
 }
 
-int label_part_create(label_t *label, label_part_spec_t *pspec,
+errno_t label_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
@@ -127,5 +127,5 @@
 }
 
-int label_part_destroy(label_part_t *part)
+errno_t label_part_destroy(label_part_t *part)
 {
 	return part->label->ops->part_destroy(part);
@@ -137,5 +137,5 @@
 }
 
-int label_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+errno_t label_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
Index: uspace/lib/label/src/mbr.c
===================================================================
--- uspace/lib/label/src/mbr.c	(revision b33d140f53df46bff63409f9e614b46f85b8db6f)
+++ uspace/lib/label/src/mbr.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -43,31 +43,31 @@
 #include "mbr.h"
 
-static int mbr_open(label_bd_t *, label_t **);
-static int mbr_open_ext(label_t *);
-static int mbr_create(label_bd_t *, label_t **);
+static errno_t mbr_open(label_bd_t *, label_t **);
+static errno_t mbr_open_ext(label_t *);
+static errno_t mbr_create(label_bd_t *, label_t **);
 static void mbr_close(label_t *);
-static int mbr_destroy(label_t *);
-static int mbr_get_info(label_t *, label_info_t *);
+static errno_t mbr_destroy(label_t *);
+static errno_t mbr_get_info(label_t *, label_info_t *);
 static label_part_t *mbr_part_first(label_t *);
 static label_part_t *mbr_part_next(label_part_t *);
 static void mbr_part_get_info(label_part_t *, label_part_info_t *);
-static int mbr_part_create(label_t *, label_part_spec_t *, label_part_t **);
-static int mbr_part_destroy(label_part_t *);
-static int mbr_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
-
-static int mbr_check_free_idx(label_t *, int);
-static int mbr_check_free_pri_range(label_t *, uint64_t, uint64_t);
-static int mbr_check_free_log_range(label_t *, uint64_t, uint64_t, uint64_t);
+static errno_t mbr_part_create(label_t *, label_part_spec_t *, label_part_t **);
+static errno_t mbr_part_destroy(label_part_t *);
+static errno_t mbr_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
+
+static errno_t mbr_check_free_idx(label_t *, int);
+static errno_t mbr_check_free_pri_range(label_t *, uint64_t, uint64_t);
+static errno_t mbr_check_free_log_range(label_t *, uint64_t, uint64_t, uint64_t);
 
 static void mbr_unused_pte(mbr_pte_t *);
-static int mbr_part_to_pte(label_part_t *, mbr_pte_t *);
-static int mbr_pte_to_part(label_t *, mbr_pte_t *, int);
-static int mbr_pte_to_log_part(label_t *, uint64_t, mbr_pte_t *);
+static errno_t mbr_part_to_pte(label_part_t *, mbr_pte_t *);
+static errno_t mbr_pte_to_part(label_t *, mbr_pte_t *, int);
+static errno_t mbr_pte_to_log_part(label_t *, uint64_t, mbr_pte_t *);
 static void mbr_log_part_to_ptes(label_part_t *, mbr_pte_t *, mbr_pte_t *);
-static int mbr_pte_update(label_t *, mbr_pte_t *, int);
-static int mbr_log_part_insert(label_t *, label_part_t *);
-static int mbr_ebr_create(label_t *, label_part_t *);
-static int mbr_ebr_delete(label_t *, label_part_t *);
-static int mbr_ebr_update_next(label_t *, label_part_t *);
+static errno_t mbr_pte_update(label_t *, mbr_pte_t *, int);
+static errno_t mbr_log_part_insert(label_t *, label_part_t *);
+static errno_t mbr_ebr_create(label_t *, label_part_t *);
+static errno_t mbr_ebr_delete(label_t *, label_part_t *);
+static errno_t mbr_ebr_update_next(label_t *, label_part_t *);
 static void mbr_update_log_indices(label_t *);
 
@@ -86,5 +86,5 @@
 };
 
-static int mbr_open(label_bd_t *bd, label_t **rlabel)
+static errno_t mbr_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -96,5 +96,5 @@
 	aoff64_t nblocks;
 	uint32_t entry;
-	int rc;
+	errno_t rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -202,5 +202,5 @@
 
 /** Open extended partition */
-static int mbr_open_ext(label_t *label)
+static errno_t mbr_open_ext(label_t *label)
 {
 	mbr_br_block_t *ebr = NULL;
@@ -215,5 +215,5 @@
 	uint64_t pnblocks;
 	uint64_t ep_b0;
-	int rc;
+	errno_t rc;
 
 	ebr = calloc(1, label->block_size);
@@ -300,5 +300,5 @@
 }
 
-static int mbr_create(label_bd_t *bd, label_t **rlabel)
+static errno_t mbr_create(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -307,5 +307,5 @@
 	size_t bsize;
 	int i;
-	int rc;
+	errno_t rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -389,9 +389,9 @@
 }
 
-static int mbr_destroy(label_t *label)
+static errno_t mbr_destroy(label_t *label)
 {
 	mbr_br_block_t *mbr = NULL;
 	label_part_t *part;
-	int rc;
+	errno_t rc;
 
 	part = mbr_part_first(label);
@@ -428,5 +428,5 @@
 }
 
-static int mbr_get_info(label_t *label, label_info_t *linfo)
+static errno_t mbr_get_info(label_t *label, label_info_t *linfo)
 {
 	memset(linfo, 0, sizeof(label_info_t));
@@ -546,5 +546,5 @@
 }
 
-static int mbr_part_create(label_t *label, label_part_spec_t *pspec,
+static errno_t mbr_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
@@ -553,5 +553,5 @@
 	label_part_t *next;
 	mbr_pte_t pte;
-	int rc;
+	errno_t rc;
 
 	if (pspec->ptype.fmt != lptf_num)
@@ -694,5 +694,5 @@
 }
 
-static int mbr_part_destroy(label_part_t *part)
+static errno_t mbr_part_destroy(label_part_t *part)
 {
 	mbr_pte_t pte;
@@ -700,5 +700,5 @@
 	label_part_t *next;
 	uint64_t ep_b0;
-	int rc;
+	errno_t rc;
 
 	if (link_used(&part->lpri)) {
@@ -776,5 +776,5 @@
 }
 
-static int mbr_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+static errno_t mbr_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
@@ -813,5 +813,5 @@
 
 /** Verify that the specified index is valid and free. */
-static int mbr_check_free_idx(label_t *label, int index)
+static errno_t mbr_check_free_idx(label_t *label, int index)
 {
 	label_part_t *part;
@@ -830,5 +830,5 @@
 }
 
-static int mbr_check_free_pri_range(label_t *label, uint64_t block0,
+static errno_t mbr_check_free_pri_range(label_t *label, uint64_t block0,
     uint64_t nblocks)
 {
@@ -850,5 +850,5 @@
 }
 
-static int mbr_check_free_log_range(label_t *label, uint64_t hdr_blocks,
+static errno_t mbr_check_free_log_range(label_t *label, uint64_t hdr_blocks,
     uint64_t block0, uint64_t nblocks)
 {
@@ -877,5 +877,5 @@
 }
 
-static int mbr_part_to_pte(label_part_t *part, mbr_pte_t *pte)
+static errno_t mbr_part_to_pte(label_part_t *part, mbr_pte_t *pte)
 {
 	if ((part->block0 >> 32) != 0)
@@ -893,5 +893,5 @@
 }
 
-static int mbr_pte_to_part(label_t *label, mbr_pte_t *pte, int index)
+static errno_t mbr_pte_to_part(label_t *label, mbr_pte_t *pte, int index)
 {
 	label_part_t *part;
@@ -931,5 +931,5 @@
 }
 
-static int mbr_pte_to_log_part(label_t *label, uint64_t ebr_b0,
+static errno_t mbr_pte_to_log_part(label_t *label, uint64_t ebr_b0,
     mbr_pte_t *pte)
 {
@@ -1009,8 +1009,8 @@
  * @a pte.
  */
-static int mbr_pte_update(label_t *label, mbr_pte_t *pte, int index)
+static errno_t mbr_pte_update(label_t *label, mbr_pte_t *pte, int index)
 {
 	mbr_br_block_t *br;
-	int rc;
+	errno_t rc;
 
 	br = calloc(1, label->block_size);
@@ -1040,5 +1040,5 @@
 
 /** Insert logical partition into logical partition list. */
-static int mbr_log_part_insert(label_t *label, label_part_t *part)
+static errno_t mbr_log_part_insert(label_t *label, label_part_t *part)
 {
 	label_part_t *cur;
@@ -1066,9 +1066,9 @@
  * @return EOK on success or non-zero error code
  */
-static int mbr_ebr_create(label_t *label, label_part_t *part)
+static errno_t mbr_ebr_create(label_t *label, label_part_t *part)
 {
 	mbr_br_block_t *br;
 	uint64_t ba;
-	int rc;
+	errno_t rc;
 
 	br = calloc(1, label->block_size);
@@ -1099,9 +1099,9 @@
 }
 
-static int mbr_ebr_delete(label_t *label, label_part_t *part)
+static errno_t mbr_ebr_delete(label_t *label, label_part_t *part)
 {
 	mbr_br_block_t *br;
 	uint64_t ba;
-	int rc;
+	errno_t rc;
 
 	br = calloc(1, label->block_size);
@@ -1125,10 +1125,10 @@
 
 /** Update 'next' PTE in EBR of partition. */
-static int mbr_ebr_update_next(label_t *label, label_part_t *part)
+static errno_t mbr_ebr_update_next(label_t *label, label_part_t *part)
 {
 	mbr_br_block_t *br;
 	uint64_t ba;
 	uint16_t sgn;
-	int rc;
+	errno_t rc;
 
 	ba = part->block0 - part->hdr_blocks;
